Subject: Re: [bug#57317] [PATCH 0/2] Implicitly set GUIX_EXTENSIONS_PATH in profiles.
From: Efraim Flashner <[email-masked]>
To: "(" <[email-masked]>
Cc: [email-masked]
Date: Wed, 7 Sep 2022 11:46:00 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Aug 21, 2022 at 02:12:22PM +0100, ( via Guix-patches via wrote:
> Hi Guix!
> 
> This patchset allows Guix to automatically find extensions installed
> in profiles. There's probably a more elegant way to do this, but this
> is the simplest and easiest way I can think of.
> 
> ( (2):
>   build: profiles: Always set GUIX_EXTENSIONS_PATH.
>   gnu: package-management: Remove mentions of GUIX_EXTENSIONS_PATH.
> 
>  gnu/packages/package-management.scm | 11 +----------
>  guix/build/profiles.scm             |  4 ++++
>  2 files changed, 5 insertions(+), 10 deletions(-)
> 

I pushed the first patch from the second set to always set
GUIX_EXTENSIONS_PATH and the second patch from the first set, which only
modifies guix-modules but not the guix package itself. I'm pretty sure
that Guix still needs the search path for the extensions.

As a side note, should something be added to guix shell/environment  so
it finds the extensions too?

Thanks for the patches! Now it should be easier to add extensions.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted